Introspection

## Functions

bool | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::built () const
const Node * | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::getRoot ()

## Detailed Description

## Function Documentation

## built()

template<typename ItemType, typename BoundsTraits>

bool geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::built | ( |  | ) | const

inline

Determine whether the tree has been built, and no more items may be added.

Referenced by build(), and iterate().

## getRoot()

template<typename ItemType, typename BoundsTraits>

const Node * geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::getRoot | ( |  | ) |

inline

Determine whether the tree has been built, and no more items may be added.

References build().

Referenced by nearestNeighbour().